/*

  $Id: PasswordAuthenticationToken.cpp 387 2015-12-08 18:53:52Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#include <Auth4cData/PasswordAuthenticationToken.h>

using namespace Auth4cData;

PasswordAuthenticationToken::PasswordAuthenticationToken()
{
}

PasswordAuthenticationToken::PasswordAuthenticationToken( const std::string& strPassword )
	: _strPassword( strPassword )
{
}

PasswordAuthenticationToken::PasswordAuthenticationToken( const PasswordAuthenticationToken& passAuthToken )
	: _strPassword( passAuthToken._strPassword )
{
}

PasswordAuthenticationToken::~PasswordAuthenticationToken()
{
}

const PasswordAuthenticationToken& PasswordAuthenticationToken::operator=( const PasswordAuthenticationToken& passAuthToken )
{
	if( this != &passAuthToken )
	{
		_strPassword = passAuthToken._strPassword;
	}

	return *this;
}

const std::string& PasswordAuthenticationToken::str() const
{
	return _strPassword;
}