/*

  $Id: Platform.cpp 387 2015-12-08 18:53:52Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#include <Auth4cData/Platform.h>

using namespace Auth4cData;

Platform::Platform( const std::string strPlatform /*= std::string()*/, const std::string& strDescription /*= std::string()*/ )
	: _strPlatform( strPlatform ),
	_strDescription( strDescription )
{
}

Platform::Platform( const Platform& platform )
	: _strPlatform( platform._strPlatform ),
	_strDescription( platform._strDescription )
{
}

Platform::~Platform()
{
}

const Platform& Platform::operator=( const Platform& platform )
{
	if( this != &platform )
	{
		_strPlatform = platform._strPlatform;
		_strDescription = platform._strDescription;
	}

	return *this;
}

const std::string& Platform::platform() const
{
	return _strPlatform;
}

const std::string& Platform::description() const
{
	return _strDescription;
}
