/*

  $Id: SessionString.cpp 387 2015-12-08 18:53:52Z john $

  Copyright (c) 2008, The 4c Company. All rights reserved.
*/

#include <Auth4cData/SessionString.h>

using namespace Auth4cData;

SessionString::SessionString()
{
}

SessionString::SessionString( const std::string& strSession )
	: Session( strSession )
{
}

SessionString::SessionString( const SessionString& session )
	: Session( session )
{
}

SessionString::~SessionString()
{
}

const SessionString& SessionString::operator=( const SessionString& session )
{
	if( this != &session )
	{
		Session::operator=( session );
	}

	return *this;
}

const std::string& SessionString::str() const
{
	return Session::str();
}

Session* SessionString::copy() const
{
	return new SessionString( *this );
}